ListMemberships

GET/auth/v1/memberships

Query Parameters

user.user_id?user_id

The user.user_id query parameter.

limit?limit

The limit query parameter.

Formatint32
offset?offset

The offset query parameter.

Formatint32
state?state

The state query parameter.

Value in

  • "MEMBERSHIP_STATE_UNSPECIFIED"
  • "MEMBERSHIP_STATE_ACTIVE"
  • "MEMBERSHIP_STATE_SUSPENDED"
  • "MEMBERSHIP_STATE_LEFT"
  • "MEMBERSHIP_STATE_REMOVED"

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/auth.v1.ListMembershipsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "memberships": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/auth.v1.Membership",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "title": "id"
              },
              "user_id": {
                "type": "string",
                "title": "user_id"
              },
              "org_id": {
                "type": "string",
                "title": "org_id"
              },
              "role": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipRole",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipRole",
                      "enum": [
                        "MEMBERSHIP_ROLE_UNSPECIFIED",
                        "MEMBERSHIP_ROLE_OWNER",
                        "MEMBERSHIP_ROLE_ADMIN",
                        "MEMBERSHIP_ROLE_MEMBER"
                      ]
                    }
                  }
                ],
                "title": "role"
              },
              "state": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipState",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipState",
                      "enum": [
                        "MEMBERSHIP_STATE_UNSPECIFIED",
                        "MEMBERSHIP_STATE_ACTIVE",
                        "MEMBERSHIP_STATE_SUSPENDED",
                        "MEMBERSHIP_STATE_LEFT",
                        "MEMBERSHIP_STATE_REMOVED"
                      ]
                    }
                  }
                ],
                "title": "state"
              },
              "organization_username": {
                "type": "string",
                "title": "organization_username"
              },
              "organization_first_name": {
                "type": "string",
                "title": "organization_first_name"
              },
              "organization_last_name": {
                "type": "string",
                "title": "organization_last_name"
              },
              "joined_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "title": "joined_at"
              }
            },
            "title": "Membership",
            "additionalProperties": false
          }
        },
        "title": "memberships"
      }
    },
    "title": "ListMembershipsResponse",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/auth/v1/memberships"

Success

application/json

{
  "$ref": "#/components/schemas/auth.v1.ListMembershipsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "memberships": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/auth.v1.Membership",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "title": "id"
              },
              "user_id": {
                "type": "string",
                "title": "user_id"
              },
              "org_id": {
                "type": "string",
                "title": "org_id"
              },
              "role": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipRole",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipRole",
                      "enum": [
                        "MEMBERSHIP_ROLE_UNSPECIFIED",
                        "MEMBERSHIP_ROLE_OWNER",
                        "MEMBERSHIP_ROLE_ADMIN",
                        "MEMBERSHIP_ROLE_MEMBER"
                      ]
                    }
                  }
                ],
                "title": "role"
              },
              "state": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/auth.v1.MembershipState",
                    "$ref-value": {
                      "type": "string",
                      "title": "MembershipState",
                      "enum": [
                        "MEMBERSHIP_STATE_UNSPECIFIED",
                        "MEMBERSHIP_STATE_ACTIVE",
                        "MEMBERSHIP_STATE_SUSPENDED",
                        "MEMBERSHIP_STATE_LEFT",
                        "MEMBERSHIP_STATE_REMOVED"
                      ]
                    }
                  }
                ],
                "title": "state"
              },
              "organization_username": {
                "type": "string",
                "title": "organization_username"
              },
              "organization_first_name": {
                "type": "string",
                "title": "organization_first_name"
              },
              "organization_last_name": {
                "type": "string",
                "title": "organization_last_name"
              },
              "joined_at": {
                "allOf": [
                  {
                    "$ref": "#/components/schemas/google.protobuf.Timestamp",
                    "$ref-value": {
                      "type": "string",
                      "examples": [
                        "2023-01-15T01:30:15.01Z",
                        "2024-12-25T12:00:00Z"
                      ],
                      "format": "date-time",
                      "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                    }
                  }
                ],
                "title": "joined_at"
              }
            },
            "title": "Membership",
            "additionalProperties": false
          }
        },
        "title": "memberships"
      }
    },
    "title": "ListMembershipsResponse",
    "additionalProperties": false
  }
}